Skip to main content
GET
/
api
/
supply-chain
/
v1
/
get-route-impact
GetRouteImpact
curl --request GET \
  --url https://api.example.com/api/supply-chain/v1/get-route-impact
{
  "laneValueUsd": 123,
  "primaryExporterIso2": "<string>",
  "primaryExporterShare": 123,
  "topStrategicProducts": [
    {
      "hs4": "<string>",
      "label": "<string>",
      "totalValueUsd": 123,
      "topExporterIso2": "<string>",
      "topExporterShare": 123,
      "primaryChokepointId": "<string>"
    }
  ],
  "resilienceScore": 123,
  "dependencyFlags": [
    "DEPENDENCY_FLAG_UNSPECIFIED"
  ],
  "hs2InSeededUniverse": true,
  "comtradeSource": "<string>",
  "fetchedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://worldmonitor.app/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

fromIso2
string
toIso2
string
hs2
string

Response

Successful response

laneValueUsd
number<double>
primaryExporterIso2
string
primaryExporterShare
number<double>
topStrategicProducts
object[]
resilienceScore
number<double>
dependencyFlags
enum<string>[]

DependencyFlag classifies how a country+sector dependency can fail.

Available options:
DEPENDENCY_FLAG_UNSPECIFIED,
DEPENDENCY_FLAG_SINGLE_SOURCE_CRITICAL,
DEPENDENCY_FLAG_SINGLE_CORRIDOR_CRITICAL,
DEPENDENCY_FLAG_COMPOUND_RISK,
DEPENDENCY_FLAG_DIVERSIFIABLE
hs2InSeededUniverse
boolean
comtradeSource
string
fetchedAt
string